Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# color_convert_deref_fn Class Template Reference
[color_converted_view, Models]

`#include <image_view_factory.hpp>`

Inheritance diagram for color_convert_deref_fn:

List of all members.

## Detailed Description

### template<typename SrcConstRefP, typename DstP, typename CC = default_color_converter>
class boost::gil::color_convert_deref_fn< SrcConstRefP, DstP, CC >

Function object that given a source pixel, returns it converted to a given color space and channel depth. Models: PixelDereferenceAdaptorConcept.

Useful in constructing a color converted view over a given image view

## Public Member Functions

| color_convert_deref_fn (CC cc_in)
DstP | operator() (SrcConstRefP srcP) const

The documentation for this class was generated from the following file:

- image_view_factory.hpp